﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.DRCoffee
{
    /// <summary>
    /// 故障
    /// </summary>
    public enum DrCoffeeFault : long
    {
        无故障 = 0x0,
        HMI通信异常 = 0x1,
        咖啡锅炉加热超时 = 0x2,
        蒸汽锅炉加热超时 = 0x4,
        热水锅炉加热超时 = 0x8,
        咖啡锅炉NTC异常 = 0x10,
        蒸汽锅炉NTC异常 = 0x20,
        热水锅炉NTC故障 = 0x40,
        咖啡锅炉供水故障 = 0x80,
        蒸汽锅炉供水故障 = 0x100,
        热水锅炉供水故障 = 0x200,
        冲煮系统异常 = 0x400,
        分向阀系统异常 = 0x800,
        磨豆机1异常 = 0x1000,
        磨豆机2异常 = 0x2000,
        磨豆机3异常 = 0x4000,
        冰箱通信异常 = 0x8000,
        蒸汽锅炉补水超时异常 = 0x10000
    }
}
