﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;
using System.Collections.Concurrent;


namespace BPASmartClient.Model
{
    public class KeepDataBase
    {
        /// <summary>
        /// 模拟订单数据的配置
        /// </summary>
        public ObservableCollection<SimOrderVisibleData> simOrderConfig { get; set; } = new ObservableCollection<SimOrderVisibleData>();

        /// <summary>
        /// 需要保存的订单数据
        /// </summary>
        public ObservableCollection<OrderData> orderLists { get; set; } = new ObservableCollection<OrderData>();

        /// <summary>
        /// 参数设置
        /// </summary>
        public ObservableCollection<ParSet> parSets { get; set; } = new ObservableCollection<ParSet>();

    }
}
