﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.SCChip
{
    /// <summary>
    /// Dr咖啡机基础协议
    /// </summary>
    [StructLayoutAttribute(LayoutKind.Sequential, CharSet = CharSet.Ansi, Pack = 1)]
    public struct ICChipPackage
    {
        /// <summary>
        /// 包头（固定0xAA）
        /// </summary>
        public byte Header;
        /// <summary>
        /// 发送方
        /// </summary>
        public IC_SENDER Sender;
        /// <summary>
        /// 命令
        /// </summary>
        public IC_CMD Cmd;
        /// <summary>
        /// 值
        /// </summary>
        public byte Value;
        /// <summary>
        /// 包尾（固定为0xBB）
        /// </summary>
        public byte End;
    }
}
